Subject: Re: MGC Failure

From: Tom-PT Taylor <[email-masked]>
Date: Tue, 24 Aug 1999 02:11:46 -0400

My replies below.  Others may have more ideas.

> -----Original Message-----
> From: Ashok Khuntia [SMTP:[email-masked]]
> Sent: Monday, August 23, 1999 12:40 PM
> To:   [email-masked]
> Subject:      MGC Failure
>
> Hi Everybody,
>
> I got two questions.
>
> 1. How does the MG detect a failure of it's controlling MGC? One potetial
> way would be thru the Notify command. But Notify does not have an ACK?
> Does the protocol say anything about this?
        [[TomT]]
        Notify is ACKed -- this was an oversight which will be corrected in
the next issue of the protocol document.  The protocol has no explicit
provision for detection of MGC failure.  The most likely scenario is that a
backup MGC will actually take over by issuing a ServiceChange to the MG.

        I expect lots of comment on this one because it is an area which may
need more work..

> 2. The H.GCPMEGACO/H.248 document says the following:
>
>
> Page 62
> -------
>
> If a new Media Gateway Controller is detected, the Media Gateway starts
> transmitting outstanding commands to that new agent. Responses to commands
> are still transmitted to the source address of the command.
>
>
> Page 70
> -------
>
> When the MGC initiates a Handoff, the handover should be transparent to
> Operations on the Media Gateway. Commands in progress continue,
> transaction replies are sent to the new MGC, ...
>
>
> So where do the replies/responses go, to the old MGC (source address of
> the command) or new MGC?
>
> BTW I am referring to the following document:
>
> ftp://standards.nortelnetworks.com/megaco/docs/Wash99/MegacoH248v9Chgs.pdf
>
        [[TomT]]  Clearly inconsistent and needs straightening out.  Who
wants to say what we really meant?

>
> Any response will be appreciated.
>
> Ashok Khuntia
> Alcatel USA